Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78054 - Initial SMP boot after install hangs with "kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errnno = 4"
Summary: Initial SMP boot after install hangs with "kmod: failed to exec /sbin/modprob...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 15:53 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-18 16:47:00 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-18 15:53:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; Lexmarkie501021500)

Description of problem:
After a problem free installation of RH 7.3, the first SMP boot dies with:

RAMDISK: Compressed image found at block 0 
Freeing initrd memory: 218k freed 
VFS: Mounted root (ext2 filesystem). 
Red Hat nash version 3.3.10 starting
Loading scsi_mod module
SCSI subsystem driver Revision: 1.00
Loading sd_mod module
kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errnno = 4
Loading DAC960 module
DAC960: ***** DAC960 RAID Driver Version 2.4.11 of 11 October 2001 ***
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>
- Kernel boot stops proceeding at this point - 

The hardware is a new Tyan 2466MPX Dual Athlon motherboard with 4Gb ram, a 
Mylex AccelRAID 352
controller using the DAC960 module with 6x 80Gb U160 SCSI HDD's in a RAID 0+1 
hardware config. Processors are
2x Athlon MP2000 

All Redhat stock single processor kernels (2.4.18-3 thru 2.4.18.18)work just 
fine on this system. The kernel hang occurs only on stock SMP kernels 2.4.18-3 
thru 2.4.18-18.

I have checked my install media with md5sums - all matches ok 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Clean install of RH 7.3
2. Reboot into any SMP kernel 2.4.18-3 thru 2.4.18-18
3. Kernel boot stops proceeding	

Actual Results:  Kernel boot doesn't complete rendering the system unusable.



Expected Results:  System should have completed booting.


Additional info:

Comment 1 Arjan van de Ven 2002-11-18 15:57:12 UTC
ah a tyan
can you try adding 'noapic' the the kernel command line?
(eg the vmlinuz line for the smp kernel in /boot/grub/grub.conf)

Comment 2 Need Real Name 2002-11-19 19:06:50 UTC
Thank you for resolving this issue.

I am using LILO.  My default boot image name is "linux" which corresponds to 
the default SMP boot kernel.  I added the following line to my /etc/lilo.conf 
file:

append="noapic" 

This worked provided that I had the append statement in a line previous to 
the "initrd='your_initrd.img" line within lilo.conf.







Note You need to log in before you can comment on or make changes to this bug.